> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GHL Agent by Calendar

> Get GHL Agent by Calendar.

### Authorizations

<ParamField header="X-Api-Key" type="string" required>
  Your Agni API key used to authenticate the request. Pass it in the `X-Api-Key` header. Find or rotate it from your Ravan AI account settings.
</ParamField>

***

### Path Parameters

<ParamField path="calendar_id" type="string" required>
  The unique calendar ID from the connected scheduling provider.
</ParamField>

***

### Response

<ResponseField name="success" type="boolean">
  Whether the request succeeded.
</ResponseField>

<ResponseField name="message" type="string">
  Human-readable status message.
</ResponseField>

<ResponseField name="data" type="object">
  data field.

  <Expandable title="data">
    <ResponseField name="agent_id" type="string">
      agent\_id field.
    </ResponseField>

    <ResponseField name="agent_name" type="string">
      agent\_name field.
    </ResponseField>

    <ResponseField name="calendar_id" type="string">
      calendar\_id field.
    </ResponseField>

    <ResponseField name="is_active" type="boolean">
      is\_active field.
    </ResponseField>

    <ResponseField name="created_at" type="string">
      created\_at field.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Request completed successfully",
    "data": {
      "agent_id": "id_123",
      "agent_name": "example",
      "calendar_id": "id_123",
      "is_active": true,
      "created_at": "example"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /api/v1/ghl/setup/agents/calendar/{calendar_id}
openapi: 3.0.1
info:
  title: Agni API
  version: 1.0.0
  description: >-
    Agni API for managing agents, tools, widget settings, telephony, and
    integrations.
servers:
  - url: https://api.ravan.ai
security:
  - X-Api-Key: []
tags:
  - name: AgentService
  - name: AgentToolService
  - name: WidgetSettingsService
  - name: PhoneService
  - name: AppointmentService
  - name: GHLService
  - name: CalComService
  - name: CampaignService
  - name: ContactService
  - name: CallingService
  - name: RAGService
  - name: ModelService
  - name: HealthService
paths:
  /api/v1/ghl/setup/agents/calendar/{calendar_id}:
    get:
      tags:
        - GHLService
      summary: Get GHL Agent by Calendar
      operationId: GetGHLAgentByCalendar
      parameters:
        - name: calendar_id
          in: path
          required: true
          schema:
            type: string
          description: GHL Calendar ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGHLAgentByCalendarResponse'
components:
  schemas:
    GetGHLAgentByCalendarResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            agent_id:
              type: string
            agent_name:
              type: string
            calendar_id:
              type: string
            is_active:
              type: boolean
            created_at:
              type: string
  securitySchemes:
    X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key

````